Bug 515 - daemon names can be split (because of spaces in them) and not handled correctly
: daemon names can be split (because of spaces in them) and not handled correctly
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/initscripts)
: unstable
: all Linux
: P4 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-02-03 18:29 by
Modified: 2003-08-25 15:18 (History)


Attachments
0000515-initscripts-5.49-ipl38mdk-pidofproc-quote.patch (deleted)
2002-02-03 18:29, imz
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-02-03 18:29:12
This is because pidofproc() argument can be split into several words when
passed in daemon() from /etc/init.d/functions.
---

---
The attached patch tries to avoid multi-word arguments for pidofproc().
------- Comment #1 From 2002-04-15 15:35:20 -------
Fixed in
5.49-ipl39mdk
------- Comment #2 From 2002-04-15 15:35:20 -------
Fixed in
5.49-ipl39mdk